Subject: Re: bug#22145: 25.0.50; tramp and auto-revert tests hang on OS X

From: Anders Lindgren <[email-masked]>
Date: Thu, 17 Dec 2015 20:38:48 +0100

Hi,

I tried to see what actually happened in the test cases.

I seem to have boiled things down to the following line, when evaluated,
tramp hangs. When enabling debug-on-quit, I get the attached backtrace
after hitting C-g.

    (write-region "test" nil
"/mock:anders-lindgrens-macbook.local:/private/var/folders/qq/qqGPPGoBHOGgJs3oBoKTHU+++TI/-Tmp-/tramp-test1900-Fy/test")

The directory exists and is empty.

It looks like the code tries to run an external command "mock" (which
doesn't exits, as far as I know).

    -- Anders

On Wed, Dec 16, 2015 at 11:39 PM, Michael Albinus <[email-masked]>
wrote:

> Anders Lindgren <[email-masked]> writes:
>
> > Hi,
>
> Hi Anders,
>
> > Unfortunately, it still hangs.
>
> I'm running out of ideas. Maybe I should simply suppress this test for
> OSX ...
>
> > -- Anders
>
> Best regards, Michael.
>